USN-6489-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6489-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6489-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6489-1
Related
Published
2023-11-20T16:04:07.332372Z
Modified
2023-11-20T16:04:07.332372Z
Summary
tang vulnerability
Details

Brian McDermott discovered that Tang incorrectly handled permissions when creating/rotating keys. A local attacker could possibly use this issue to read the keys.

References

Affected packages

Ubuntu:Pro:18.04:LTS / tang

Package

Name
tang

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
6-1ubuntu0.1~esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "tang": "6-1ubuntu0.1~esm1",
            "tang-nagios": "6-1ubuntu0.1~esm1"
        }
    ]
}

Ubuntu:20.04:LTS / tang

Package

Name
tang

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
7-1ubuntu0.2

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "tang": "7-1ubuntu0.2"
        }
    ]
}

Ubuntu:22.04:LTS / tang

Package

Name
tang

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
11-1ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "tang-xinetd": "11-1ubuntu0.1",
            "tang-common": "11-1ubuntu0.1",
            "tang": "11-1ubuntu0.1"
        }
    ]
}